#include <sru.h>
#include <def21364.h>

// This function will setup the SRU Registers
void ProbeOnDAI()
{
	// Enable pull-up resistors on unused DAI pins
	* (volatile int *)DAI_PIN_PULLUP = 0xf3ff1;

	//Generating Code for connecting : SPORT0_CLK to DAI_PIN3
	SRU (HIGH, PBEN03_I); 
	SRU (SPORT0_CLK_O, DAI_PB03_I); 

	//Generating Code for connecting : SPORT0_FS to DAI_PIN2
	SRU (HIGH, PBEN02_I); 
	SRU (SPORT0_FS_O, DAI_PB02_I); 

	//Generating Code for connecting : SPORT0_DA to DAI_PIN4
	SRU (HIGH, PBEN04_I); 
	SRU (SPORT0_DA_O, DAI_PB04_I); 

	//Generating Code for connecting : SPORT1_CLK to DAI_PIN15
	SRU (HIGH, PBEN15_I); 
	SRU (SPORT1_CLK_O, DAI_PB15_I); 
	
	//If SPORT is RX and MSTR then SCLK out pad needs to be connected to SCLK input pad
	SRU (SPORT1_CLK_O, SPORT1_CLK_I); 

	//Generating Code for connecting : SPORT1_FS to DAI_PIN16
	SRU (HIGH, PBEN16_I); 
	SRU (SPORT1_FS_O, DAI_PB16_I); 


}
